#733 closed defect (fixed)

h8300 _CPU_ISR_Disable doesn't build with gcc >3.4.x

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: score Version: unknown
Severity: critical Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

gcc-3.4.x warns about the h8300's _CPU_ISR_Disable implementation and produces bogus code.

IMO, the inline asm being used inside of the h8300's _CPU_ISR_Disable is bogus.

Release:
unknown

Attachments (1)

h8300-rtems-cpu.h.diff (576 bytes) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:13 PM.
h8300-rtems-cpu.h.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Dec 10, 2004 at 6:12:32 AM by Ralf Corsepius

Status: assignedwaiting

comment:2 Changed on Mar 7, 2006 at 9:19:55 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: It has been in the tree for over a year now. It must be
good enough or no one cares.

Changed on Dec 3, 2006 at 1:31:13 PM by Ralf Corsepius

Attachment: h8300-rtems-cpu.h.diff added

h8300-rtems-cpu.h.diff

Note: See TracTickets for help on using tickets.